declare type Keys = string | number;
declare type ObjectType = {
    [K in Keys]: any;
};
declare type PropertyName = string | number | symbol;
declare type Many<T> = T | ReadonlyArray<T>;
export declare type PropertyPath = Many<PropertyName>;
/*!
 * Get an object value from a specific path
 *
 * (c) 2018 Chris Ferdinandi, MIT License, https://gomakethings.com
 * Source: https://gomakethings.com/how-to-get-the-value-of-an-object-from-a-specific-path-with-vanilla-js/
 *
 * @param  {Object}       obj  The object
 * @param  {String|Array} path The path
 * @param  {*}            def  A default value to return [optional]
 * @return {*}                 The value
 */
export declare const get: (obj: ObjectType, path: Many<string | number | symbol>, def?: any) => unknown;
/**
 * isValidCatalog returns a bool for the check if the given catalog is an
 * instance of Catalog.
 */
export declare const isValidCatalog: (catalog: unknown) => boolean;
export {};
//# sourceMappingURL=utils.d.ts.map