import { ReactNode } from 'react';
import { CatalogComponents } from '../types';
interface IProps<T extends CatalogComponents> {
    catalog: T;
    catalogPrefix?: string;
    /**
     * ReactNode
     * @see https://flow.org/en/docs/react/types/
     */
    children: ReactNode;
}
/**
 * Provide the `catalog` to an entire react component tree. Read more about
 * React context here: https://reactjs.org/docs/context.html
 */
declare const CatalogProvider: {
    <T extends CatalogComponents>(props: IProps<T>): JSX.Element;
    defaultProps: Partial<IProps<{}>>;
};
export default CatalogProvider;
//# sourceMappingURL=catalog-provider.d.ts.map