import { ICatalog } from '../catalog';
import { CatalogComponents } from '../types';
/**
 * `useCatalog` (react-hook) returns the `catalog` provided to `CatalogProvider`
 *
 * @example
 * ```
 * const catalog = useCatalog()
 * const Button = catalog.getComponent("button")
 * ```
 */
export declare const useCatalog: <T extends CatalogComponents>() => ICatalog<T>;
/**
 * ATTENTION: only use internally, do not export for users of this lib!
 */
export declare const useUNSAFECatalog: <T extends CatalogComponents>() => ICatalog<T>;
//# sourceMappingURL=use-catalog.d.ts.map